Package csb :: Package statistics :: Package samplers :: Package mc :: Class AbstractMC

[frames] | no frames]

# Class AbstractMC

source code

         object --+
                  |
    AbstractSampler --+
                      |
                     AbstractMC

Known Subclasses:
  - singlechain.AbstractSingleChainMC
  - , multichain.AbstractEnsembleMC

Abstract Monte Carlo sampler class. Subclasses implement various Monte carlo equilibrium sampling schemes.

Nested Classes
Inherited from `AbstractSampler`: `__metaclass__`

Instance Methods

__init__(self, state) x.__init__(...) initializes x; see help(type(x)) for signature | source code

AbstractState

sample(self) Draw a sample. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``energy``'``,` `'``sample``'``])``

Properties
| energy Energy of the current state.
| state Current state.
Inherited from `object`: `__class__`

Method Details

### __init__(self, state)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `state` (AbstractState) - Initial state
Overrides: object.__init__
  (inherited documentation)

### sample(self)

source code

Draw a sample.

Returns: AbstractState
Overrides: AbstractSampler.sample

Property Details

### energy

Energy of the current state.

Get Method:
  unreachable.energy(self) - Energy of the current state.

### state

Current state.

Get Method:
  unreachable.state(self) - Current state.
Set Method:
  unreachable.state(self, value)